net.sf.jasperreports.components

## Class AbstractComponentXmlWriter

- java.lang.Object
- - net.sf.jasperreports.components.AbstractComponentXmlWriter

- All Implemented Interfaces:
    ComponentXmlWriter
  Direct Known Subclasses:
    ComponentsXmlWriter, SortComponentXmlWriter

      public abstract class AbstractComponentXmlWriter
      extends java.lang.Object
      implements ComponentXmlWriter

  Version:
    $Id: ComponentsXmlWriter.java 6251 2013-06-11 08:43:46Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `ComponentsExtensionsRegistryFactory`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JasperReportsContext` | `jasperReportsContext`
    `static java.lang.String` | `PROPERTY_COMPONENTS_PREFIX`
    `static java.lang.String` | `PROPERTY_COMPONENTS_VERSION_SUFFIX`
    `protected VersionComparator` | `versionComparator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractComponentXmlWriter(JasperReportsContext jasperReportsContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getVersion(JasperReportsContext jasperReportsContext, JRComponentElement componentElement, JRXmlWriter reportWriter)`
    `protected boolean` | `isNewerVersionOrEqual(JRComponentElement componentElement, JRXmlWriter reportWriter, java.lang.String oldVersion)`
    `protected boolean` | `isOlderVersionThan(JRComponentElement componentElement, JRXmlWriter reportWriter, java.lang.String version)`
    `protected void` | `writeExpression(java.lang.String name, JRExpression expression, boolean writeClass, JRComponentElement componentElement, JRXmlWriter reportWriter)`
    `protected void` | `writeExpression(java.lang.String name, XmlNamespace namespace, JRExpression expression, boolean writeClass, JRComponentElement componentElement, JRXmlWriter reportWriter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.component.ComponentXmlWriter

      `isToWrite, writeToXml`

- - ### Field Detail

    - #### PROPERTY_COMPONENTS_PREFIX

          public static final java.lang.String PROPERTY_COMPONENTS_PREFIX

      See Also:
        Constant Field Values

    - #### PROPERTY_COMPONENTS_VERSION_SUFFIX

          public static final java.lang.String PROPERTY_COMPONENTS_VERSION_SUFFIX

      See Also:
        Constant Field Values

    - #### jasperReportsContext

          protected final JasperReportsContext jasperReportsContext

    - #### versionComparator

          protected final VersionComparator versionComparator

  - ### Constructor Detail

    - #### AbstractComponentXmlWriter

          public AbstractComponentXmlWriter(JasperReportsContext jasperReportsContext)

  - ### Method Detail

    - #### getVersion

          public static java.lang.String getVersion(JasperReportsContext jasperReportsContext,
                                    JRComponentElement componentElement,
                                    JRXmlWriter reportWriter)

    - #### isNewerVersionOrEqual

          protected boolean isNewerVersionOrEqual(JRComponentElement componentElement,
                                      JRXmlWriter reportWriter,
                                      java.lang.String oldVersion)

    - #### isOlderVersionThan

          protected boolean isOlderVersionThan(JRComponentElement componentElement,
                                   JRXmlWriter reportWriter,
                                   java.lang.String version)

    - #### writeExpression

          protected void writeExpression(java.lang.String name,
                             JRExpression expression,
                             boolean writeClass,
                             JRComponentElement componentElement,
                             JRXmlWriter reportWriter)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeExpression

          protected void writeExpression(java.lang.String name,
                             XmlNamespace namespace,
                             JRExpression expression,
                             boolean writeClass,
                             JRComponentElement componentElement,
                             JRXmlWriter reportWriter)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com